/*
 * Copyright (c) 2010-2011, The MiCode Open Source Community (www.micode.net)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package net.micode.notes.gtask.exception;

public class NetworkFailureException extends Exception {
    private static final long serialVersionUID = 2107610287180234136L;
    /*表示一个序列化类的版本号。当进行序列化和反序列化时，JVM 会检查类的 serialVersionUID 是否相同，如果不同就会抛出
    InvalidClassException 异常。这样可以确保反序列化的类与序列化时的类版本相同，避免因版本不同导致的问题。*/

    public NetworkFailureException() {
        super();               //直接调用父类构造函数，即理解为Exception()
    }

    public NetworkFailureException(String paramString) {
        super(paramString);             //理解为Exception(paramString)
    }

    public NetworkFailureException(String paramString, Throwable paramThrowable) {
        super(paramString, paramThrowable);           //理解为Exception(paramString, paramThrowable)
    }
}
